### Method

# Pango Fontserialize

since: 1.50

#### Declaration [src]

    GBytes*
    pango_font_serialize (
      PangoFont* font
    )

#### Description [src]

Serializes the `font` in a way that can be uniquely identified.

There are no guarantees about the format of the output across different versions of Pango.

The intended use of this function is testing, benchmarking and debugging. The format is not meant as a permanent storage format.

To recreate a font from its serialized form, use `pango_font_deserialize()`.

Available since: 1.50

#### Return value

Type: `GBytes`

A `GBytes` containing the serialized form of `font`.

The caller of the method takes ownership of the data, and is responsible for freeing it.